# -*- coding: utf-8 -*-

from django.urls import path
from automated_main.view.api_querrydiff.api_querrydiff_task import ApiQuerydiffTaskView, ApiQuerydiffTaskListView, ApiQuerydiffTaskActionView
from automated_main.view.api_querrydiff.api_querrydiff_task_detail import ApiQuerydiffTaskDetailView


urlpatterns = [
    # API测试用例
    path("api/querydiff/task/list", ApiQuerydiffTaskListView.as_view()),
    path("api/querydiff/task/info/<int:task_id>/", ApiQuerydiffTaskView.as_view()),
    path("api/querydiff/task/delete/<int:task_id>/", ApiQuerydiffTaskView.as_view()),
    path("api/querydiff/task/case/list", ApiQuerydiffTaskDetailView.as_view()),
    path("api/querydiff/task/screen/", ApiQuerydiffTaskActionView.as_view()),
    path("api/querydiff/task/run/<int:task_id>/", ApiQuerydiffTaskActionView.as_view()),
    path("api/querydiff/task/create/", ApiQuerydiffTaskView.as_view()),
    path("api/querydiff/task/edit/", ApiQuerydiffTaskView.as_view())

]
